org.apache.cassandra.cql3

## Class FieldIdentifier

- java.lang.Object
- - org.apache.cassandra.cql3.FieldIdentifier

    public class FieldIdentifier
    extends java.lang.Object

Identifies a field in a UDT.

### Field Summary

Fields
`java.nio.ByteBuffer` `bytes`

### Constructor Summary

Constructors
Constructor and Description
`FieldIdentifier(java.nio.ByteBuffer bytes)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`static FieldIdentifier` `forInternalString(java.lang.String text)` Creates a `FieldIdentifier` from an internal string.
`static FieldIdentifier` `forQuoted(java.lang.String text)` Creates a `FieldIdentifier` from a quoted identifier string.
`static FieldIdentifier` `forUnquoted(java.lang.String text)` Creates a `FieldIdentifier` from an unquoted identifier string.
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### bytes

    public final java.nio.ByteBuffer bytes

### Constructor Detail

#### FieldIdentifier

    public FieldIdentifier(java.nio.ByteBuffer bytes)

### Method Detail

#### forUnquoted

    public static FieldIdentifier forUnquoted(java.lang.String text)

Creates a `FieldIdentifier` from an unquoted identifier string.

#### forQuoted

    public static FieldIdentifier forQuoted(java.lang.String text)

Creates a `FieldIdentifier` from a quoted identifier string.

#### forInternalString

    public static FieldIdentifier forInternalString(java.lang.String text)

Creates a `FieldIdentifier` from an internal string.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`